Bug 48342 - custom install on a laptop - no pcmcia rpm
custom install on a laptop - no pcmcia rpm
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-07-10 06:40 EDT by Gerald Teschl
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-01 17:07:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2001-07-10 06:40:26 EDT
If I do a custom install on a laptop, kernel-pcmcia-cs will not be
automatically selected, which is annoying if you forget to select it
Comment 1 Matt Wilson 2001-07-10 15:33:27 EDT
you didn't select "Laptop Support"
Comment 2 Matt Wilson 2001-07-10 15:45:30 EDT
I've added a check and forced kernel-pcmcia-cs on for people who didn't select
laptop support
Comment 3 Gerald Teschl 2001-07-25 12:30:33 EDT
I just tested this in beta2 TUI and it was not on!?
Comment 4 Jeremy Katz 2001-07-25 12:58:33 EDT
Which boot image did you use?  (cd, boot.img, bootnet.img, or pcmcia.img)
Comment 5 Gerald Teschl 2001-07-25 16:30:52 EDT
Regular install from cd.
Comment 6 Jeremy Katz 2001-07-30 18:00:33 EDT
This got installed for me last night on my laptop when I tried it -- if you look
on tty3, do you see any mention of the pcmcia controller?
Comment 7 Gerald Teschl 2001-08-01 17:03:11 EDT
Nedd to test again. However, since the installer selects "Latop Install"
as default it must have found my pcmcia controller.

Will the "Laptop Support" be marked as selected in the package selection
Comment 8 Jeremy Katz 2001-08-01 17:05:14 EDT
No, the kernel-pcmcia-cs package is just silently selected and installed similar
to how the SMP kernel is selected and installed if you do an installation on an
SMP machine.
Comment 9 Gerald Teschl 2001-08-01 17:07:49 EDT
Ah! So then we had a misunderstanding. However, shouln't the "Laptop Support"
be autoselected? This seems more resonable to me.
Comment 10 Jeremy Katz 2001-08-01 17:19:06 EDT
Changing the default selections on the package groups screen based on criteria
such as having a pcmcia controller isn't going to happen any time soon since it
requires major changes to the way that all of the package selection magic works.
 The only other packages in the Laptop Support group are irda-utils and
wireless-tools, which I'd argue are a lot less commonly needed on laptops than
pcmcia and if someone needs them, then they might as well select laptop support
or they'll install them post-install.  The likelihood that they would need
pcmcia to use their network card to install packages is a good enough reason imo
to make sure kernel-pcmcia-cs gets installed though.

Plus the initial bug was that pcmcia doesn't get installed on a laptop with a
custom install :-)

Note You need to log in before you can comment on or make changes to this bug.